data.raw["player"]["player"].healing_per_tick = 0
--loot
data.raw["unit"]["small-biter"].loot={}
table.insert(data.raw["unit"]["small-biter"].loot,{amount=1,item="alien-meat",probability=0.03})
data.raw["unit"]["medium-biter"].loot={}
table.insert(data.raw["unit"]["medium-biter"].loot,{amount=1,item="alien-meat",probability=0.06})
data.raw["unit"]["big-biter"].loot={}
table.insert(data.raw["unit"]["big-biter"].loot,{amount=1,item="alien-meat",probability=0.1})
data.raw["unit"]["behemoth-biter"].loot={}
table.insert(data.raw["unit"]["behemoth-biter"].loot,{amount=1,item="alien-meat",probability=0.5})
data.raw["unit"]["small-spitter"].loot={}
table.insert(data.raw["unit"]["small-spitter"].loot,{amount=1,item="alien-meat",probability=0.03})
data.raw["unit"]["medium-spitter"].loot={}
table.insert(data.raw["unit"]["medium-spitter"].loot,{amount=1,item="alien-meat",probability=0.06})
data.raw["unit"]["big-spitter"].loot={}
table.insert(data.raw["unit"]["big-spitter"].loot,{amount=1,item="alien-meat",probability=0.1})
data.raw["unit"]["behemoth-spitter"].loot={}
table.insert(data.raw["unit"]["behemoth-spitter"].loot,{amount=1,item="alien-meat",probability=0.5})


local autoplace_utils = require("autoplace_utils")
local biomes = autoplace_utils.biomes

local function dead_trees_autoplace(relative_probability)
  return
  {
    max_probability = 1e-2 * relative_probability,
    sharpness = 0.6,
    order = "a[tree]-b[forest]",
    random_probability_penalty = 1e-3,
    peaks = autoplace_utils.peaks({{{35, 0.3}, {-5, 0}, -0.3}},
                                  {
                                    {
                                      influence = 0.25,
                                    },
                                    {
                                      noise_layer = "trees",
                                      noise_persistence = 0.5,
                                      noise_octaves_difference = -1
                                    }
                                  })
  }
end

data:extend({
-- unique effect
-- greenade
  {
    type = "projectile",
    name = "greenade",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
            type = "create-entity",
            entity_name = "greenade-explosion"
            },
            {
            type = "create-entity",
            entity_name = "small-scorchmark",
            check_buildability = true
            },
            {
            type = "create-entity",
            entity_name = "greenade-poison-cloud"
            }
          }
        }
      },
      {
        type = "area",
        perimeter = 3,
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
            type = "damage",
            damage = {amount = 20, type = "explosion"}
            },
            {
            type = "create-entity",
            entity_name = "explosion"
            }
          }
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/grenade/grenade.png",
      frame_count = 1,
      width = 24,
      height = 24,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/grenade/grenade-shadow.png",
      frame_count = 1,
      width = 24,
      height = 32,
      priority = "high"
    }
  },
  {
    type = "smoke-with-trigger",
    name = "greenade-poison-cloud",
    flags = {"not-on-map"},
    show_when_smoke_off = true,
    animation =
    {
      filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
      flags = { "compressed" },
      priority = "low",
      width = 256,
      height = 256,
      frame_count = 1,
      animation_speed = 0.25,
      scale = 1,
    },
    slow_down_factor = 0,
    affected_by_wind = false,
    cyclic = true,
    duration = 120,
    fade_away_duration = 60,
    color = { r = 0.2, g = 0.9, b = 0.2 },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "nested-result",
          action =
          {
            type = "area",
            perimeter = 3,
            entity_flags = {"breaths-air"},
            action_delivery =
            {
              type = "instant",
              target_effects =
              {
                type = "damage",
                damage = { amount = 4, type = "poison"}
              }
            }
          }
        }
      }
    },
    action_frequency = 29
  },
  {
    type = "explosion",
    name = "greenade-explosion",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__base__/graphics/entity/medium-explosion/medium-explosion.png",
        priority = "extra-high",
        width = 112,
        height = 94,
        frame_count = 54,
        line_length = 6,
        shift = {-0.56, -0.96},
        animation_speed = 0.5
      }
    },
    light = {intensity = 1, size = 50},
    sound =
    {
      aggregation =
      {
        max_count = 1,
        remove = true
      },
      variations =
      {
        {
          filename = "__base__/sound/fight/large-explosion-1.ogg",
          volume = 0.4
        },
        {
          filename = "__base__/sound/fight/large-explosion-2.ogg",
          volume = 0.4
        }
      }
    },
    created_effect =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-particle",
            repeat_count = 20,
            entity_name = "explosion-remnants-particle",
            initial_height = 0.5,
            speed_from_center = 0.08,
            speed_from_center_deviation = 0.15,
            initial_vertical_speed = 0.08,
            initial_vertical_speed_deviation = 0.15,
            offset_deviation = {{-0.2, -0.2}, {0.2, 0.2}}
          }
        }
      }
    }
  },
-- on eat trigger  
  {
    type = "projectile",
    name = "eat-apple",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-raw-fish",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-sashimi",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-hamburger",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-pink-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-meat-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-fish-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-snake-noodles",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-greenade-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-engineering-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-red-stew",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-bread",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-apple-pie",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-frog-barbecue",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-pizza",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-flash-pie",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-fourhead-kebab",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-pink-juice",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-stonade",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-ironade",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-copperade",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-fowerade",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-science-potion",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-red-potion",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-black-potion",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
  {
    type = "projectile",
    name = "eat-engineering-potion",
    flags = {"not-on-map"},
    acceleration = 1,
    animation =
    {
      filename = "__cook__/graphics/entity/noani/no.png",
      frame_count = 1,
      width = 1,
      height = 1,
    },
    speed = 1
  },
-- on eat instant animation  
  {
    type = "explosion",
    name = "heal",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/heal/heal.png",
        priority = "extra-high",
        width = 32,
        height = 32,
        frame_count = 4,
        shift = {0, -0.25},
        animation_speed = 0.25
      }
    }
  },
-- buff animation
  {
    type = "explosion",
    name = "buff-deal",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/buff/buff-deal.png",
        priority = "high",
        width = 10,
        height = 10,
        frame_count = 2,
        shift = {-0.65, -0.5},
        animation_speed = 1
      }
    }
  },  
  {
    type = "explosion",
    name = "buff-heal",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/buff/buff-heal.png",
        priority = "high",
        width = 10,
        height = 10,
        frame_count = 2,
        shift = {-0.25, -0.5},
        animation_speed = 1
      }
    }
  },
  {
    type = "explosion",
    name = "buff-run",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/buff/buff-run.png",
        priority = "high",
        width = 10,
        height = 10,
        frame_count = 2,
        shift = {0, -0.5},
        animation_speed = 1
      }
    }
  },
  {
    type = "explosion",
    name = "buff-craft",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/buff/buff-craft.png",
        priority = "high",
        width = 10,
        height = 10,
        frame_count = 2,
        shift = {0.25, -0.5},
        animation_speed = 1
      }
    }
  },
  {
    type = "explosion",
    name = "buff-mine",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__cook__/graphics/entity/buff/buff-mine.png",
        priority = "high",
        width = 10,
        height = 10,
        frame_count = 2,
        shift = {0.5, -0.5},
        animation_speed = 1
      }
    }
  },
-- trees  
 {
    type = "tree",
    name = "apple-tree",
    icon = "__cook__/graphics/icons/apple-tree.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air"},
    minable =
    {   
      count = 4,
      mining_particle = "wooden-particle",
      mining_time = 3,
      results = {{type="item", name="apple", probability=1, amount=3},{type="item", name="raw-wood", probability=1, amount=3}}
    },
    emissions_per_tick = -0.0001,
    max_health = 20,
    collision_box = {{-0.4, -0.8}, {0.4, 0.2}},
    selection_box = {{-0.6, -1.5}, {0.6, 0.3}},
    drawing_box = {{-0.6, -1.8}, {0.6, 0.3}},
    subgroup = "trees",
    order = "a-z",
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    autoplace = dead_trees_autoplace(0.5),
    pictures =
    {
      {
        filename = "__cook__/graphics/entity/apple-tree/apple-tree.png",
        width = 246,
        height= 157,
        shift = {2.28438, -1.5}
      }
    }
  },
  {
		type = "tree",
		name = "apple-tree-grow0",
		icon = "__cook__/graphics/entity/apple-tree/apple-tree-grow0.png",
		flags = {"placeable-neutral", "breaths-air"},
		emissions_per_tick = -0.0001,
		minable =
		{
			count = 1,
			mining_particle = "wooden-particle",
			mining_time = 0.1,
			result = "apple-seed"
		},
		max_health = 10,
		collision_box = {{-0.01, -0.01}, {0.01, 0.01}},
		selection_box = {{-0.1, -0.1}, {0.1, 0.1}},
		drawing_box = {{0.0, 0.0}, {1.0, 1.0}},
		pictures =
		{
			{
				filename = "__cook__/graphics/entity/apple-tree/apple-tree-grow0.png",
				priority = "extra-high",
				width = 10,
				height = 10,
				shift = {0.0, 0.0}
			}
		}
	},
	 {
		type = "tree",
		name = "apple-tree-grow1",
		icon = "__cook__/graphics/entity/apple-tree/apple-tree-grow0.png",
		flags = {"placeable-neutral", "breaths-air"},
		emissions_per_tick = -0.0001,
		minable =
		{
			count = 1,
			mining_particle = "wooden-particle",
			mining_time = 0.5,
			result = "raw-wood"
		},
		max_health = 10,
		collision_box = {{-0.1, -0.2}, {0.1, 0.05}},
		selection_box = {{-0.15, -0.375}, {0.15, 0.075}},
		drawing_box = {{-0.15, -0.45}, {0.15, 0.075}},
		pictures =
		{
			{
				filename = "__cook__/graphics/entity/apple-tree/apple-tree-grow1.png",
				priority = "extra-high",
				width = 60,
				height = 38,
				shift = {0.57, -0.37}
			}
		}
	},
	 {
		type = "tree",
		name = "apple-tree-grow2",
		icon = "__cook__/graphics/entity/apple-tree/apple-tree-grow0.png",
		flags = {"placeable-neutral", "breaths-air"},
		emissions_per_tick = -0.0001,
		minable =
		{
			count = 2,
			mining_particle = "wooden-particle",
			mining_time = 1,
			result = "raw-wood"
		},
		max_health = 15,
		collision_box = {{-0.2, -0.4}, {0.2, 0.1}},
		selection_box = {{-0.3, -0.75}, {0.3, 0.15}},
		drawing_box = {{-0.3, -0.9}, {0.15, 0.15}},
		pictures =
		{
			{
				filename = "__cook__/graphics/entity/apple-tree/apple-tree-grow2.png",
				priority = "extra-high",
				width = 123,
				height = 79,
				shift = {1.14, -0.75}
			}
		}
	},
	 {
		type = "tree",
		name = "apple-tree-grow3",
		icon = "__cook__/graphics/entity/apple-tree/apple-tree-grow0.png",
		flags = {"placeable-neutral", "breaths-air"},
		emissions_per_tick = -0.0001,
		minable =
		{
			count = 3,
			mining_particle = "wooden-particle",
			mining_time = 2,
			result = "raw-wood"
		},
		max_health = 20,
		collision_box = {{-0.3, -0.6}, {0.3, 0.15}},
		selection_box = {{-0.45, -1.125}, {0.45, 0.225}},
		drawing_box = {{-0.45, -1.35}, {0.45, 0.225}},
		pictures =
		{
			{
				filename = "__cook__/graphics/entity/apple-tree/apple-tree-grow3.png",
				priority = "extra-high",
				width = 180,
				height = 115,
				shift = {1.71, -1.12}
			}
		}
	},
-- cooking machine  
  {
    type = "assembling-machine",
    name = "small-farm",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/small-farm.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "small-farm"},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture =
  {
    north =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-up.png",
      priority = "extra-high",
      width = 44,
      height = 32,
      shift = {0, 1}
    },
    east =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-right.png",
      priority = "extra-high",
      width = 32,
      height = 40,
      shift = {-1, 0}
    },
    south =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-down.png",
      priority = "extra-high",
      width = 40,
      height = 32,
      shift = {0, -1}
    },
    west =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-left.png",
      priority = "extra-high",
      width = 32,
      height = 42,
      shift = {1, 0}
    }
  },
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__cook__/graphics/entity/farm/small-farm.png",
      priority = "high",
      width = 100,
      height = 75,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"farming"},
    crafting_speed = 1,
    ingredient_count = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01  
    },
    energy_usage = "50kW"
  }, 
--
  {
    type = "assembling-machine",
    name = "improved-farm",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/improved-farm.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "improved-farm"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture =
  {
    north =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-up.png",
      priority = "extra-high",
      width = 44,
      height = 32,
      shift = {0, 1}
    },
    east =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-right.png",
      priority = "extra-high",
      width = 32,
      height = 40,
      shift = {-1, 0}
    },
    south =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-down.png",
      priority = "extra-high",
      width = 40,
      height = 32,
      shift = {0.05, -1}
    },
    west =
    {
      filename = "__base__/graphics/entity/pipe-to-ground/pipe-to-ground-left.png",
      priority = "extra-high",
      width = 32,
      height = 42,
      shift = {1, 0}
    }
  },
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__cook__/graphics/entity/farm/improved-farm.png",
      priority = "high",
      width = 106,
      height = 65,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"farming"},
    crafting_speed = 2,
    ingredient_count = 2,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    energy_usage = "150kW"
  }, 
--
  {
    type = "assembling-machine",
    name = "crock-pot",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/crock-pot.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "crock-pot"},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",    
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    animation =
    {
      filename = "__cook__/graphics/entity/pot/crock-pot.png",
      priority = "high",
      width = 90,
      height = 55,
      frame_count = 1,
      shift = {0, 0}
    },
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg", }
    },
    crafting_categories = {"cook-pot"},
    crafting_speed = 1,
    ingredient_count = 2,
    energy_source =
    {
      type = "burner",
      effectivity = 0.5,
      fuel_inventory_size = 1,
      emissions = 0.01  
    },
    energy_usage = "100kW"
  },
--
  {
    type = "assembling-machine",
    name = "electric-pot",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/electric-pot.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "electric-pot"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    animation =
    {
      filename = "__cook__/graphics/entity/pot/electric-pot.png",
      priority = "high",
      width = 90,
      height = 55,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"cook-pot"},
    crafting_speed = 2,
    ingredient_count = 4,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    energy_usage = "200kW"
  },
--  
  {
    type = "assembling-machine",
    name = "oven",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/oven.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "oven"},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",    
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    animation =
    {
      filename = "__cook__/graphics/entity/oven/oven.png",
      priority = "high",
      width = 100,
      height = 85,
      frame_count = 1,
      shift = {0, -0.4}
    },
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg", }
    },    crafting_categories = {"cook-oven"},
    crafting_speed = 1,
    ingredient_count = 2,
    energy_source =
    {
      type = "burner",
      effectivity = 0.5,
      fuel_inventory_size = 1,
      emissions = 0.01  
    },
    energy_usage = "100kW"
  },
--
  {
    type = "assembling-machine",
    name = "electric-oven",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/electric-oven.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "electric-oven"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",    
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    animation =
    {
      filename = "__cook__/graphics/entity/oven/electric-oven.png",
      priority = "high",
      width = 80,
      height = 45,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"cook-oven"},
    crafting_speed = 2,
    ingredient_count = 4,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    energy_usage = "200kW"
  },
--
  {
    type = "assembling-machine",
    name = "electric-mixing-machine",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/electric-mixing-machine.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "electric-mixing-machine"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",    
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    animation =
    {
      filename = "__cook__/graphics/entity/electric-mixing-machine/electric-mixing-machine.png",
      priority = "high",
      width = 49,
      height = 35,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"cook-mix"},
    crafting_speed = 1.5,
    ingredient_count = 3,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    energy_usage = "100kW"
  },
--
  {
    type = "assembling-machine",
    name = "electric-cooking-machine",
    fast_replaceable_group = "cooking-machine",
    icon = "__cook__/graphics/icons/electric-cooking-machine.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 2, result = "electric-cooking-machine"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",    
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__cook__/graphics/entity/electric-cooking-machine/electric-cooking-machine.png",
      priority = "high",
      width = 120,
      height = 85,
      frame_count = 1,
      shift = {0, 0}
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.4 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.3 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.2 },
    crafting_categories = {"cook-mix", "cook-oven", "cook-pot", "cook-machine"},
    crafting_speed = 3,
    ingredient_count = 6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    energy_usage = "300kW"
  },
--
  {
    type = "container",
    name = "net-fish-trap",
    icon = "__cook__/graphics/icons/net-fish-trap.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "net-fish-trap"},
    max_health = 50,
    corpse = "small-remnants",
    inventory_size = 6,
    --"object-layer" "not-colliding-with-itself"
    collision_mask = {"object-layer"},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    picture =
    {
      filename = "__cook__/graphics/entity/net-fish-trap/net-fish-trap.png",
      priority = "low",
      width = 40,
      height = 40,
      shift = {0, 0}
    }
  },
--
  {
    type = "container",
    name = "kitchen-table",
    icon = "__cook__/graphics/icons/kitchen-table.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "kitchen-table"},
    max_health = 100,
    corpse = "small-remnants",
    collision_box = {{-1.2, -0.8}, {1.2, 0.8}},
    selection_box = {{-1.5, -1}, {1.5, 1}},
    inventory_size = 6,
    open_sound = { filename = "__base__/sound/wooden-chest-open.ogg" },
    close_sound = { filename = "__base__/sound/wooden-chest-close.ogg" },
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    picture =
    {
      filename = "__cook__/graphics/entity/kitchen-table/kitchen-table.png",
      priority = "extra-high",
      width = 120,
      height = 62,
      shift = {0, 0}
    },
    circuit_wire_connection_point =
    {
      shadow =
      {
        red = {0.734375, 0.453125},
        green = {0.609375, 0.515625},
      },
      wire =
      {
        red = {0.40625, 0.21875},
        green = {0.40625, 0.375},
      }
    },
    circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
    circuit_wire_max_distance = 7.5
  }
  
})