data.raw["capsule"]["raw-fish"].stack_size=50
data.raw["capsule"]["raw-fish"].capsule_action.attack_parameters={
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 30,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-raw-fish",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
data:extend({
-- item groups
  {
    type = "item-group",
    name = "cooking",
    icon = "__cook__/graphics/icons/apple.png",
    order = "h"
  },
  {
    type = "item-subgroup",
    name = "raw-food",
    group = "cooking",
    order = "a"
  },
  {
    type = "item-subgroup",
    name = "cooking-machine",
    group = "cooking",
    order = "b"
  },
  {
    type = "item-subgroup",
    name = "farming",
    group = "cooking",
    order = "c"
  },
  {
    type = "item-subgroup",
    name = "fishing",
    group = "cooking",
    order = "d"
  },
  {
    type = "item-subgroup",
    name = "hand",
    group = "cooking",
    order = "e"
  },
  {
    type = "item-subgroup",
    name = "cook-pot",
    group = "cooking",
    order = "f"
  },
  {
    type = "item-subgroup",
    name = "cook-oven",
    group = "cooking",
    order = "g"
  },
  {
    type = "item-subgroup",
    name = "cook-mix",
    group = "cooking",
    order = "h"
  },
  {
    type = "item-subgroup",
    name = "cook-machine",
    group = "cooking",
    order = "i"
  },
-- cooking machine    
  {
    type = "item",
    name = "small-farm",
    icon = "__cook__/graphics/icons/small-farm.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "ac",
    place_result = "small-farm",
    stack_size = 5
  }, 
  {
    type = "item",
    name = "improved-farm",
    icon = "__cook__/graphics/icons/improved-farm.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "ad",
    place_result = "improved-farm",
    stack_size = 5
  },  
  {
    type = "item",
    name = "crock-pot",
    icon = "__cook__/graphics/icons/crock-pot.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "ba",
    place_result = "crock-pot",
    stack_size = 5
  },
  {
    type = "item",
    name = "electric-pot",
    icon = "__cook__/graphics/icons/electric-pot.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "bb",
    place_result = "electric-pot",
    stack_size = 5
  },  
  {
    type = "item",
    name = "oven",
    icon = "__cook__/graphics/icons/oven.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "ca",
    place_result = "oven",
    stack_size = 5
  },
  {
    type = "item",
    name = "electric-oven",
    icon = "__cook__/graphics/icons/electric-oven.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "cb",
    place_result = "electric-oven",
    stack_size = 5
  },
  {
    type = "item",
    name = "electric-mixing-machine",
    icon = "__cook__/graphics/icons/electric-mixing-machine.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "d",
    place_result = "electric-mixing-machine",
    stack_size = 5
  },
  {
    type = "item",
    name = "electric-cooking-machine",
    icon = "__cook__/graphics/icons/electric-cooking-machine.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "e",
    place_result = "electric-cooking-machine",
    stack_size = 5
  },
  {
    type = "item",
    name = "net-fish-trap",
    icon = "__cook__/graphics/icons/net-fish-trap.png",
    flags = {"goes-to-quickbar"},
    subgroup = "fishing",
    order = "aa",
    place_result = "net-fish-trap",
    stack_size = 5
  },  
  {
    type = "item",
    name = "kitchen-table",
    icon = "__cook__/graphics/icons/kitchen-table.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cooking-machine",
    order = "a",
    place_result = "kitchen-table",
    stack_size = 5
  },
--  {
--    type = "item",
--    name = "cook-water-purifier",
--    icon = "__cook__/graphics/icons/cook-water-purifier.png",
--    flags = {"goes-to-quickbar"},
--    subgroup = "cooking-machine",
--    order = "ab",
--    stack_size = 5
--  },  

-- fish
  {
    type = "item",
    name = "fish-bait-basic",
    icon = "__cook__/graphics/icons/fish-bait-basic.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "fishing",
    order = "ab",
    stack_size = 100
  },
  {
    type = "item",
    name = "deadly-bait",
    icon = "__cook__/graphics/icons/deadly-bait.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "fishing",
    order = "ac",
    stack_size = 100
  },
  {
    type = "item",
    name = "sharp-teeth",
    icon = "__cook__/graphics/icons/sharp-teeth.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "fishing",
    order = "ad",
    stack_size = 50
  },  
-- raw food
  {
    type = "item",
    name = "apple-seed",
    icon = "__cook__/graphics/icons/apple-seed.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "aaa",
    place_result = "apple-tree-grow0",
    stack_size = 200
  },
  {
    type = "item",
    name = "apple-seed1",
    icon = "__cook__/graphics/icons/apple-seed.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "aab",
    place_result = "apple-tree-grow1",
    stack_size = 200
  },
  {
    type = "item",
    name = "apple-seed2",
    icon = "__cook__/graphics/icons/apple-seed.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "aac",
    place_result = "apple-tree-grow2",
    stack_size = 200
  },
  {
    type = "item",
    name = "apple-seed3",
    icon = "__cook__/graphics/icons/apple-seed.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "aad",
    place_result = "apple-tree-grow3",
    stack_size = 200
  },
  {
    type = "item",
    name = "strange-seeds",
    icon = "__cook__/graphics/icons/strange-seeds.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "aae",
    stack_size = 200
  },
  {
    type = "capsule",
    name = "apple",
    order = "ab",
    icon = "__cook__/graphics/icons/apple.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-food",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 30,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-apple",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "item",
    name = "wheat",
    icon = "__cook__/graphics/icons/wheat.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "ca",
    stack_size = 50
  },
  {
    type = "item",
    name = "common-vegetable",
    icon = "__cook__/graphics/icons/common-vegetable.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "cb",
    stack_size = 50
  },
  {
    type = "item",
    name = "red-mushroom",
    icon = "__cook__/graphics/icons/red-mushroom.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "cc",
    stack_size = 50
  },
  {
    type = "item",
    name = "alien-meat",
    icon = "__cook__/graphics/icons/alien-meat.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "ba",
    stack_size = 50
  },
  {
    type = "item",
    name = "greenade-flower",
    icon = "__cook__/graphics/icons/greenade-flower.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "da",
    stack_size = 50
  },
  {
    type = "item",
    name = "sparkling-plant",
    icon = "__cook__/graphics/icons/sparkling-plant.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "db",
    stack_size = 50
  },
  {
    type = "item",
    name = "spanner-bamboo",
    icon = "__cook__/graphics/icons/spanner-bamboo.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "dc",
    stack_size = 50
  },
  {
    type = "item",
    name = "frog",
    icon = "__cook__/graphics/icons/frog.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "ea",
    stack_size = 50
  },
  {
    type = "item",
    name = "stringy-snakes",
    icon = "__cook__/graphics/icons/stringy-snakes.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "eb",
    stack_size = 50
  },
  {
    type = "item",
    name = "piranha",
    icon = "__cook__/graphics/icons/piranha.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "ec",
    stack_size = 50
  },
  {
    type = "item",
    name = "gear-head-fish",
    icon = "__cook__/graphics/icons/gear-head-fish.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "fa",
    stack_size = 50
  },
  {
    type = "item",
    name = "four-head-fish",
    icon = "__cook__/graphics/icons/four-head-fish.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "fb",
    stack_size = 50
  },
  {
    type = "item",
    name = "red-whale",
    icon = "__cook__/graphics/icons/red-whale.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "fc",
    stack_size = 50
  },
  {
    type = "item",
    name = "sharp-teeth",
    icon = "__cook__/graphics/icons/sharp-teeth.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-food",
    order = "fa",
    stack_size = 50
  },
-- cooked food
-- hand
  {
    type = "capsule",
    name = "sashimi",
    order = "aa",
    icon = "__cook__/graphics/icons/sashimi.png",
    flags = {"goes-to-quickbar"},
    subgroup = "hand",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 30,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-sashimi",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "hamburger",
    order = "ab",
    icon = "__cook__/graphics/icons/hamburger.png",
    flags = {"goes-to-quickbar"},
    subgroup = "hand",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-hamburger",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
-- pot
  {
    type = "capsule",
    name = "pink-stew",
    order = "aa",
    icon = "__cook__/graphics/icons/pink-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-pink-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "meat-stew",
    order = "ab",
    icon = "__cook__/graphics/icons/meat-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*10,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-meat-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "fish-stew",
    order = "ac",
    icon = "__cook__/graphics/icons/fish-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*10,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-fish-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "snake-noodles",
    order = "ad",
    icon = "__cook__/graphics/icons/snake-noodles.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-snake-noodles",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "greenade-stew",
    order = "ba",
    icon = "__cook__/graphics/icons/greenade-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*15,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-greenade-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "engineering-stew",
    order = "bb",
    icon = "__cook__/graphics/icons/engineering-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*20,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-engineering-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "red-stew",
    order = "bc",
    icon = "__cook__/graphics/icons/red-stew.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-pot",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*20,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-red-stew",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
-- oven
  {
    type = "capsule",
    name = "bread",
    order = "aa",
    icon = "__cook__/graphics/icons/bread.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*3,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-bread",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "apple-pie",
    order = "ab",
    icon = "__cook__/graphics/icons/apple-pie.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-apple-pie",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "frog-barbecue",
    order = "ac",
    icon = "__cook__/graphics/icons/frog-barbecue.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*10,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-frog-barbecue",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "pizza",
    order = "ba",
    icon = "__cook__/graphics/icons/pizza.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*15,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-pizza",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "fourhead-kebab",
    order = "bb",
    icon = "__cook__/graphics/icons/fourhead-kebab.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*10,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-fourhead-kebab",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "flash-pie",
    order = "bc",
    icon = "__cook__/graphics/icons/flash-pie.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-oven",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*20,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__base__/sound/eat.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-flash-pie",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },  
-- mix
  {
    type = "capsule",
    name = "pink-juice",
    order = "aa",
    icon = "__cook__/graphics/icons/pink-juice.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 30,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-pink-juice",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "stonade",
    order = "ab",
    icon = "__cook__/graphics/icons/stonade.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__core__/sound/axe-mining-ore-2.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-stonade",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "ironade",
    order = "ac",
    icon = "__cook__/graphics/icons/ironade.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__core__/sound/axe-mining-ore-3.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-ironade",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "copperade",
    order = "ad",
    icon = "__cook__/graphics/icons/copperade.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*5,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__core__/sound/axe-mining-ore-4.ogg",
                  volume = 0.4 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-copperade",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "fowerade",
    order = "ae",
    icon = "__cook__/graphics/icons/fowerade.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*10,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-fowerade",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "science-potion",
    order = "af",
    icon = "__cook__/graphics/icons/science-potion.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*15,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-science-potion",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "red-potion",
    order = "ag",
    icon = "__cook__/graphics/icons/red-potion.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*30,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-red-potion",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "black-potion",
    order = "ah",
    icon = "__cook__/graphics/icons/black-potion.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*15,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-black-potion",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
  {
    type = "capsule",
    name = "engineering-potion",
    order = "ai",
    icon = "__cook__/graphics/icons/engineering-potion.png",
    flags = {"goes-to-quickbar"},
    subgroup = "cook-mix",
    capsule_action =
    {
      type = "use-on-self",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 60*15,
        range = 0,
        ammo_type =
          {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects =
              { 
                {
                  type = "play-sound",
                  sound = {
                  filename = "__cook__/sound/potion.ogg",
                  volume = 1.5 },
                },
                {
                  type = "create-entity",
                  entity_name = "eat-engineering-potion",
                  trigger_created_entity="true"
                },
                {
                  type = "create-entity",
                  entity_name = "heal",
                }
              }
            }    
          }
        }
      }
    },
    stack_size = 50
  },
-- cooking machine
  
})