data:extend({
-- category for cooking machine
  {
    type = "recipe-category",
    name = "farming"
  },
  {
    type = "recipe-category",
    name = "fishing"
  },
  {
    type = "recipe-category",
    name = "cook-pot"
  },
  {
    type = "recipe-category",
    name = "cook-oven"
  },
  {
    type = "recipe-category",
    name = "cook-mix"
  },
  {
    type = "recipe-category",
    name = "cook-machine"
  },
-- cooking machine  
  {
    type = "recipe",
    name = "small-farm",
    enabled = false,
    ingredients =
    {
      {"stone", 20},
      {"iron-plate", 5}
    },
    energy_required = 10,
    result = "small-farm"
  }, 
  {
    type = "recipe",
    name = "improved-farm",
    enabled = false,
    ingredients =
    {
      {"small-farm", 1},
      {"solar-panel", 1},
      {"steel-plate", 5},
      {"advanced-circuit", 5}      
    },
    energy_required = 40,
    result = "improved-farm"
  },  
  {
    type = "recipe",
    name = "crock-pot",
    enabled = false,
    ingredients =
    {
      {"stone-furnace", 1},
      {"iron-plate", 4}
    },
    energy_required = 5,
    result = "crock-pot"
  }, 
  {
    type = "recipe",
    name = "electric-pot",
    enabled = false,
    ingredients =
    {
      {"crock-pot", 1},
      {"steel-plate", 10},
      {"advanced-circuit", 4}
    },
    energy_required = 20,
    result = "electric-pot"
  },   
  {
    type = "recipe",
    name = "oven",
    enabled = false,
    ingredients =
    {
      {"stone-furnace", 1},
      {"stone-brick", 4},
      {"iron-plate", 4}
    },
    energy_required = 5,
    result = "oven"
  }, 
  {
    type = "recipe",
    name = "electric-oven",
    enabled = false,
    ingredients =
    {
      {"oven", 1},
      {"steel-plate", 10},
      {"advanced-circuit", 4}
    },
    energy_required = 20,
    result = "electric-oven"
  }, 
  {
    type = "recipe",
    name = "electric-mixing-machine",
    enabled = false,
    ingredients =
    {
      {"iron-plate", 10},
      {"electronic-circuit", 2}
    },
    energy_required = 5,
    result = "electric-mixing-machine"
  },
  {
    type = "recipe",
    name = "electric-cooking-machine",
    enabled = false,
    ingredients =
    {
      {"electric-pot", 1},
      {"electric-oven", 1},
      {"electric-mixing-machine", 1},
      {"processing-unit", 5}
    },
    energy_required = 60,
    result = "electric-cooking-machine"
  },
  {
    type = "recipe",
    name = "net-fish-trap",
    enabled = true,
    ingredients =
    {
      {"iron-stick", 10},
      {"copper-cable", 10} 
    },
    energy_required = 5,
    result = "net-fish-trap"
  },
  {
    type = "recipe",
    name = "kitchen-table",
    enabled = true,
    ingredients =
    {
      {"iron-plate", 5},
      {"wood", 10} 
    },
    energy_required = 5,
    result = "kitchen-table"
  },  
--  {
--    type = "recipe",
--    name = "cook-water-purifier",
--    enabled = false,
--    ingredients =
--    {
--      {"iron-plate", 5},
--      {"stone", 5},
--      {"coal", 5},
--      {"electronic-circuit", 2}       
--    },
--    energy_required = 5,
--    result = "cook-water-purifier"
--  },    
-- farming    
  {
    type = "recipe",
    name = "basic-farming",
    category = "farming",
    enabled = false,
    ingredients =
    {
      {type="item", name="strange-seeds", amount=1},
      {type="fluid", name="water", amount=10}
    },
    results =
    {
      {
        amount_max = 2,
        amount_min = 1,
        name = "strange-seeds",
        probability = 1
      },
      {type="item", name="common-vegetable", amount=1, probability = 0.4},
      {type="item", name="wheat", amount=1, probability = 0.3},
      {type="item", name="apple", amount=1, probability = 1},
      {type="item", name="red-mushroom", amount=1, probability = 0.1}
    },
    icon = "__cook__/graphics/icons/basic-farming.png",
    subgroup = "farming",
    order = "aa",
    energy_required = 100
  },  
  {
    type = "recipe",
    name = "improved-farming",
    category = "farming",
    enabled = false,
    ingredients =
    {
      {type="item", name="strange-seeds", amount=1},
      {type="fluid", name="water", amount=20},
      {type="item", name="red-potion", amount=1}
    },
    results =
    {
      {
        amount_max = 2,
        amount_min = 1,
        name = "strange-seeds",
        probability = 1
      },      
      {type="item", name="red-mushroom", amount=1, probability = 0.1},
      {type="item", name="common-vegetable", amount=1, probability = 1},
      {type="item", name="greenade-flower", amount=1, probability = 0.3},
      {type="item", name="sparkling-plant", amount=1, probability = 0.3},
      {type="item", name="spanner-bamboo", amount=1, probability = 0.3}
    },
    icon = "__cook__/graphics/icons/improved-farming.png",
    subgroup = "farming",
    order = "ab",
    energy_required = 200
  },
-- fish bait
  {
    type = "recipe",
    name = "fish-bait-basic",
    enabled = true,
    ingredients =
    {
      {"raw-fish", 1},
      {"iron-stick", 1}
    },
    results =
    {
      {type="item", name="fish-bait-basic", amount=3, probability = 1}
    },
  },
  {
    type = "recipe",
    name = "deadly-bait",
    enabled = false,
    ingredients =
    {
      {"sharp-teeth", 1},
      {"alien-meat", 1}
    },
    results =
    {
      {type="item", name="deadly-bait", amount=3, probability = 1}
    },
    energy_required = 1.5
  },
-- hand made
  {
    type = "recipe",
    name = "alien-meat",
    enabled = false,
    ingredients =
    {
      {"frog", 1}
    },
    results =
    {
      {type="item", name="alien-meat", amount=1, probability=1}
    },
    subgroup = "hand",
    order = "ab",
    energy_required = 3
  },
  {
    type = "recipe",
    name = "dressed-piranha",
    enabled = false,
    ingredients =
    {
      {"piranha", 1}
    },
    results =
    {
      {type="item", name="sashimi", amount=3, probability=1},
      {type="item", name="sharp-teeth", amount=1, probability=1}
    },
    icon = "__cook__/graphics/icons/dressed-piranha.png",
    subgroup = "hand",
    order = "ab",
    energy_required = 5
  },
  {
    type = "recipe",
    name = "hamburger",
    enabled = false,
    ingredients =
    {
      {"bread", 1},
      {"alien-meat", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="hamburger", amount=1, probability=1}
    },
    energy_required = 5
  },
-- cook pot
  {
    type = "recipe",
    name = "pink-stew",
    category = "cook-pot",    
    enabled = false,
    ingredients =
    {
      {"apple", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="pink-stew", amount=1, probability=1}
    },
    energy_required = 10
  },
  {
    type = "recipe",
    name = "meat-stew",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"alien-meat", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="meat-stew", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "fish-stew",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"raw-fish", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="fish-stew", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "snake-noodles",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"stringy-snakes", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="snake-noodles", amount=1, probability=1}
    },
    energy_required = 20
  },
  {
    type = "recipe",
    name = "greenade-stew",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"greenade-flower", 1},
      {"grenade", 1},
      {"poison-capsule", 1}
    },
    results =
    {
      {type="item", name="greenade-stew", amount=1, probability=1}
    },
    energy_required = 60
  },
  {
    type = "recipe",
    name = "engineering-stew",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"engineering-potion", 1},
      {"gear-head-fish", 1},
      {"spanner-bamboo", 1}
    },
    results =
    {
      {type="item", name="engineering-stew", amount=1, probability=1}
    },
    energy_required = 60
  },
  {
    type = "recipe",
    name = "red-stew",
    category = "cook-pot",
    enabled = false,
    ingredients =
    {
      {"science-pack-1", 1},
      {"red-mushroom", 1},
      {"red-whale", 1}
    },
    results =
    {
      {type="item", name="red-stew", amount=1, probability=1}
    },
    energy_required = 60
  },  
-- cook oven
  {
    type = "recipe",
    name = "apple-pie",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"bread", 1},
      {"apple", 1}
    },
    results =
    {
      {type="item", name="apple-pie", amount=1, probability=1}
    },
    energy_required = 10
  },
  {
    type = "recipe",
    name = "frog-barbecue",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"frog", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="frog-barbecue", amount=1, probability=1}
    },
    energy_required = 20
  },
  {
    type = "recipe",
    name = "bread",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"wheat", 1}
    },
    results =
    {
      {type="item", name="bread", amount=1, probability=1}
    },
    energy_required = 15
  },
  {
    type = "recipe",
    name = "pizza",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"bread", 1},
      {"alien-meat", 1},
      {"red-mushroom", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="pizza", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "flash-pie",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"bread", 1},
      {"accumulator", 1},
      {"sparkling-plant", 1}
    },
    results =
    {
      {type="item", name="flash-pie", amount=1, probability=1}
    },
    energy_required = 60
  },
  {
    type = "recipe",
    name = "fourhead-kebab",
    category = "cook-oven",
    enabled = false,
    ingredients =
    {
      {"four-head-fish", 1},
      {"wood", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="fourhead-kebab", amount=1, probability=1}
    },
    energy_required = 20
  },
-- cook mix
  {
    type = "recipe",
    name = "pink-juice",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"apple", 1}
    },
    results =
    {
      {type="item", name="pink-juice", amount=1, probability=1}
    },
    energy_required = 5
  },
  {
    type = "recipe",
    name = "stonade",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"stone", 10}
    },
    results =
    {
      {type="item", name="stonade", amount=1, probability=1}
    },
    energy_required = 10
  },
  {
    type = "recipe",
    name = "ironade",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"iron-ore", 10}
    },
    results =
    {
      {type="item", name="ironade", amount=1, probability=1}
    },
    energy_required = 10
  },
  {
    type = "recipe",
    name = "copperade",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"copper-ore", 10}
    },
    results =
    {
      {type="item", name="copperade", amount=1, probability=1}
    },
    energy_required = 10
  },
  {
    type = "recipe",
    name = "fowerade",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"stonade", 1},
      {"ironade", 1},
      {"copperade", 1}
    },
    results =
    {
      {type="item", name="fowerade", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "science-potion",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"science-pack-1", 1},
      {"science-pack-2", 1},
      {"science-pack-3", 1}
    },
    results =
    {
      {type="item", name="science-potion", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "red-potion",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"red-mushroom", 1},
      {"piranha", 1},
      {"common-vegetable", 1}
    },
    results =
    {
      {type="item", name="red-potion", amount=1, probability=1}
    },
    energy_required = 60
  },
  {
    type = "recipe",
    name = "black-potion",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"fowerade", 1},
      {"alien-science-pack", 1},
      {"science-potion", 1}
    },
    results =
    {
      {type="item", name="black-potion", amount=1, probability=1}
    },
    energy_required = 30
  },
  {
    type = "recipe",
    name = "engineering-potion",
    category = "cook-mix",
    enabled = false,
    ingredients =
    {
      {"repair-pack", 1},
      {"iron-gear-wheel", 1},
      {"steel-axe", 1}
    },
    results =
    {
      {type="item", name="engineering-potion", amount=1, probability=1}
    },
    energy_required = 30
  }
-- cook machine
})