data:extend({

  {
    type = "technology",
    name = "basic-farming",
    icon = "__cook__/graphics/technology/small-farm.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "small-farm"
      },
      {
        type = "unlock-recipe",
        recipe = "basic-farming"
      }
    },
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    order = "a-a"
  },  
  {
    type = "technology",
    name = "improved-farming",
    icon = "__cook__/graphics/technology/improved-farm.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "improved-farm"
      },
      {
        type = "unlock-recipe",
        recipe = "improved-farming"
      }
    },
    prerequisites = {"basic-farming", "advanced-electronics"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "a-a-b"
  },
  {
    type = "technology",
    name = "crock-pot",
    icon = "__cook__/graphics/technology/crock-pot.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "crock-pot"
      }
    },
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 10
    },
    order = "a-b-a"
  }, 
  {
    type = "technology",
    name = "electric-pot",
    icon = "__cook__/graphics/technology/electric-pot.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-pot"
      }
    },
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "a-b-b",
    prerequisites = {"crock-pot", "advanced-electronics"}
  }, 
  {
    type = "technology",
    name = "oven",
    icon = "__cook__/graphics/technology/oven.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "oven"
      }
    },
    unit =
    {
      count = 15,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
    order = "a-c-a",
  },   
  {
    type = "technology",
    name = "electric-oven",
    icon = "__cook__/graphics/technology/electric-oven.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-oven"
      }
    },
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "a-b-c",
    prerequisites = {"oven", "advanced-electronics"}
  },   
  {
    type = "technology",
    name = "electric-mixing-machine",
    icon = "__cook__/graphics/technology/electric-mixing-machine.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-mixing-machine"
      }
    },
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 15
    },
    order = "a-c",
    prerequisites = {"electronics"}
  },   
  {
    type = "technology",
    name = "electric-cooking-machine",
    icon = "__cook__/graphics/technology/electric-cooking-machine.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-cooking-machine"
      }
    },
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "a-d",
    prerequisites = {"advanced-electronics-2", "improved-farming", "electric-mixing-machine", "electric-oven", "electric-pot"}
  }

})